GDB (xrefs)

Functions
elinos Namespace Reference

## Functions
def | warn (msg)
def | get_elinos_environment ()
def | elinos_init ()

## Function Documentation

## ◆ elinos_init()

def elinos.elinos_init | ( |  | ) |

    Initialize debugger environment for ELinOS.

    Let the debugger know where to find the ELinOS libraries on host. This
    assumes that an ELinOS environment is properly set up. If some environment
    variables are missing, warn about which library may be missing.

Definition at line 58 of file elinos.py.

References get_elinos_environment(), and warn().

## ◆ get_elinos_environment()

def elinos.get_elinos_environment | ( |  | ) |

    Return the ELinOS environment.

    If the ELinOS environment is properly set up, return a dictionary
    which contains:
      * The path to the ELinOS project at key 'project';
      * The path to the ELinOS CDK at key 'cdk';
      * The ELinOS target name at key 'target' (Eg. 'i486-linux');
      * A list of Xenomai install prefixes (which could be empty, if
        the ELinOS project does not include Xenomai) at key 'xenomai'.

    If one of these cannot be found, print a warning; the corresponding
    value in the returned dictionary will be None.

Definition at line 27 of file elinos.py.

References warn().

Referenced by elinos_init().

## ◆ warn()

def elinos.warn | ( |  | msg | ) |

Definition at line 23 of file elinos.py.

Referenced by elinos_init(), get_elinos_environment(), linux_proc_get_int(), linux_proc_pid_get_state(), linux_proc_pid_has_state(), and linux_proc_pid_is_zombie_maybe_warn().